TikTok
YouTube
GitHub
Facebook Ad Library
Kick
Linktree
Komi
Pillar
Linkbio
Amazon Shop
Age and Gender
Linkme
API Documentation
TikTok
- GETProfile
- GETProfile Region
- GETUser's Audience Demographics
- GETCollection Videos
- GETProfile VideosFeatured endpoint
- GETVideo InfoFeatured endpoint
- GETTranscriptFeatured endpoint
- GETLive
- GETLive Info
- GETComments
- GETComment Replies
- GETFollowing
- GETFollowers
- GETSearch Users
- GETSearch Suggestions
- GETSearch by Hashtag
- GETSearch by KeywordFeatured endpoint
- GETTop Search
- GETGet popular creators
- GETGet Song Details
- GETTikToks using Song
- GETTrending Feed
- GETProfileFeatured endpoint
- GETBasic Profile
- GETPostsFeatured endpoint
- GETUser Tagged Posts
- GETReelsFeatured endpoint
- GETPost/Reel InfoFeatured endpoint
- GETTranscriptFeatured endpoint
- GETSearch Instagram
- GETPopular Search
- GETSearch Hashtag Posts
- GETSearch Instagram Profiles
- GETSearch ReelsFeatured endpoint
- GETGet Reels By Audio Id
- GETTrending Reels
- GETComments
- GETComment Replies
- GETStory Highlights
- GETHighlights Details
- GETEmbed HTML
YouTube
- GETChannel Details
- GETChannel Videos
- GETChannel Playlists
- GETChannel Lives
- GETChannel Community Posts
- GETChannel Shorts
- GETVideo/Short DetailsFeatured endpoint
- GETTranscriptFeatured endpoint
- GETVideo Sponsors
- GETSearch
- GETSearch Typeahead
- GETSearch by Hashtag
- GETComments
- GETComment Replies
- GETTrending Shorts
- GETPlaylist
- GETCommunity Post Details
GitHub
Facebook Marketplace
Facebook Events
Facebook Ad Library
TikTok Ad Library
Google Ad Library
LinkedIn Ad Library
Truth Social
Bluesky
SoundCloud
Kick
Linktree
Komi
Pillar
Linkbio
Amazon Shop
Age and Gender
Linkme
YouTube Channel Videos API
Get all videos from a channel with detailed information. Can pass channelId or handle.
curl "https://api.scrapecreators.com/v1/youtube/channel-videos" \
-H "x-api-key: " {
"success": true,
"credits_remaining": 1000000,
"credits_charged": 1,
"videos": [
{
"type": "video",
"id": "5EWaxmWgQMI",
"url": "https://www.youtube.com/watch?v=5EWaxmWgQMI",
"title": "Russell Wilson Hopes To Finish Career As A Steeler, Reflects On NFL Career With Pat McAfee",
"description": "Welcome to The Pat McAfee Show LIVE from Noon-3PM EST Mon-Fri. You can also find us live on ESPN, ESPN+, & TikTok!
Become a #McAfeeMafia member! https://www.youtube.com/channel/UCxcTeAKWJca6XyJ37_...",
"thumbnail": "https://i.ytimg.com/vi/5EWaxmWgQMI/hqdefault.jpg?sqp=-oaymwEnCNACELwBSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLBZIBEJGcYDrduIZJpaSmYHcIHJ6g",
"channel": {
"title": "",
"thumbnail": null
},
"viewCountText": "110,447 views",
"viewCountInt": 110447,
"publishedTimeText": "9 days ago",
"publishedTime": "2025-01-23T22:48:53.914Z",
"lengthText": "37:25",
"lengthSeconds": 2245,
"badges": []
}
],
"continuationToken": "4qmFsgLlFhIYV...."
}Headers
Your Scrape Creators API key
Query Parameters
YouTube channel ID
UC-9-kyTW8ZkZNDHQJ6FgpwQYouTube channel handle
ThePatMcAfeeShowSort by latest or popular
latestlatest, popular Continuation token to get more videos. Get 'continuationToken' from previous response.
4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnBSet to 'true' to search YouTube's public paid product placement / sponsorship / endorsement search surface. This returns normal YouTube videos where the creator declared paid promotion. Cannot be combined with filter, uploadDate, sortBy, type, duration, or includeExtras.
falseThis will get you the like + comment count and the description. To get the full details of the video, use the /v1/youtube/video endpoint. Honestly, if you use this param, the error rate is higher. We might deprecate this param in the future.
falsecurl "https://api.scrapecreators.com/v1/youtube/channel-videos" \
-H "x-api-key: " {
"success": true,
"credits_remaining": 1000000,
"credits_charged": 1,
"videos": [
{
"type": "video",
"id": "5EWaxmWgQMI",
"url": "https://www.youtube.com/watch?v=5EWaxmWgQMI",
"title": "Russell Wilson Hopes To Finish Career As A Steeler, Reflects On NFL Career With Pat McAfee",
"description": "Welcome to The Pat McAfee Show LIVE from Noon-3PM EST Mon-Fri. You can also find us live on ESPN, ESPN+, & TikTok!
Become a #McAfeeMafia member! https://www.youtube.com/channel/UCxcTeAKWJca6XyJ37_...",
"thumbnail": "https://i.ytimg.com/vi/5EWaxmWgQMI/hqdefault.jpg?sqp=-oaymwEnCNACELwBSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLBZIBEJGcYDrduIZJpaSmYHcIHJ6g",
"channel": {
"title": "",
"thumbnail": null
},
"viewCountText": "110,447 views",
"viewCountInt": 110447,
"publishedTimeText": "9 days ago",
"publishedTime": "2025-01-23T22:48:53.914Z",
"lengthText": "37:25",
"lengthSeconds": 2245,
"badges": []
}
],
"continuationToken": "4qmFsgLlFhIYV...."
}